Bug 250421 - audio/ncmpc: Update to 0.41
Summary: audio/ncmpc: Update to 0.41
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/MusicPlayerDaemon/...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-17 19:05 UTC by Laurent Cimon
Modified: 2020-10-19 05:56 UTC (History)
1 user (show)

See Also:


Attachments
Patch updating ncmpc to 0.41 (3.93 KB, patch)
2020-10-17 19:05 UTC, Laurent Cimon
laurent: maintainer-approval+
Details | Diff
Patch updating ncmpc to 0.41 (2.96 KB, patch)
2020-10-18 16:49 UTC, Laurent Cimon
laurent: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent Cimon 2020-10-17 19:05:29 UTC
Created attachment 218844 [details]
Patch updating ncmpc to 0.41

Hi, this diff updates ncmpc to 0.41. Some patches had to be added because of missing headers in the released version.

ncmpc 0.41 - (2020-10-16)
* new main loop (copying code from MPD, replacing boost::asio)
* library page: fix crash bug
* lyrics: remove the "lyricwiki" plugin because the site is gone

ncmpc 0.40 - (2020-10-07)
* fix crash when range selection includes ".."
* fix another crash with a very narrow terminal window
* another jumping cursor fix for large scroll-offset values
* show elapsed time of streams

ncmpc 0.39 - (2020-08-21)
* library page: skip tags when there is only one value
* fix jumping cursor with large scroll-offset values
* key bindigs page: fix crash bug
* key bindigs page: eliminate bogus message "Did you forget to Apply your changes?"
Comment 1 Rainer Hurling freebsd_committer 2020-10-18 08:45:57 UTC
Hi Laurent,

Thanks for the patch.

Some suggestions for improvement, if you like:

- Change MASTER_SITES from http to https (secured version)
- PORTDOCS not needed, since already included in pkg-plist
- Prepare the diff for the patch starting from /usr/ports
- In the URL line of this PR, put something like
  https://github.com/MusicPlayerDaemon/ncmpc/blob/master/NEWS

Best wishes,
Rainer
Comment 2 Laurent Cimon 2020-10-18 16:49:43 UTC
Created attachment 218864 [details]
Patch updating ncmpc to 0.41

Thank you, here are the requested changes.

Laurent
Comment 3 Rainer Hurling freebsd_committer 2020-10-18 17:33:58 UTC
I just opened a review[1] on Phabricator.


[1] https://reviews.freebsd.org/D26837
Comment 4 commit-hook freebsd_committer 2020-10-19 05:54:29 UTC
A commit references this bug:

Author: rhurlin
Date: Mon Oct 19 05:53:57 UTC 2020
New revision: 552711
URL: https://svnweb.freebsd.org/changeset/ports/552711

Log:
  audio/ncmpc: Update to 0.41

  ncmpc 0.41 - (2020-10-16)
  * new main loop (copying code from MPD, replacing boost::asio)
  * library page: fix crash bug
  * lyrics: remove the "lyricwiki" plugin because the site is gone

  ncmpc 0.40 - (2020-10-07)
  * fix crash when range selection includes ".."
  * fix another crash with a very narrow terminal window
  * another jumping cursor fix for large scroll-offset values
  * show elapsed time of streams

  ncmpc 0.39 - (2020-08-21)
  * library page: skip tags when there is only one value
  * fix jumping cursor with large scroll-offset values
  * key bindigs page: fix crash bug
  * key bindigs page: eliminate bogus message "Did you forget to Apply your changes?"

  Changelog: https://github.com/MusicPlayerDaemon/ncmpc/blob/89af16cad451e51c304e705fbcb2488f5f7e2c10/NEWS

  PR:		250421
  Submitted by:	Laurent Cimon <laurent@nilio.ca> (maintainer)
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D26837

Changes:
  head/audio/ncmpc/Makefile
  head/audio/ncmpc/distinfo
  head/audio/ncmpc/files/
  head/audio/ncmpc/files/patch-src_screen__utils.cxx
  head/audio/ncmpc/files/patch-src_signals.cxx
  head/audio/ncmpc/pkg-plist
Comment 5 Rainer Hurling freebsd_committer 2020-10-19 05:56:29 UTC
Committed, thanks :)